
QGIS Application - Bug report #13948

PyQGIS doesn't work 

2015-12-05 06:30 AM - dr -

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21963

Description

>>> import qgis

Traceback (most recent call last):

  File "<stdin>", line 1, in <module>

  File "qgis/__init__.py", line 36, in <module>

    from qgis.core import QgsFeature, QgsGeometry

  File "qgis/core/__init__.py", line 10, in <module>

    from PyQt.QtCore import QCoreApplication

ImportError: No module named PyQt.QtCore

Associated revisions

Revision 197ee6cb - 2015-12-08 04:19 PM - Matthias Kuhn 

Fallback to pure PyQt4 for the moment

Fix #13948

Will probably require some packaging adjustments when reintroducing this.

History

#1 - 2015-12-05 06:31 AM - dr -

But this import works fine:

from PyQt4.QtCore import QCoreApplication

#2 - 2015-12-07 09:52 AM - dr -

- Assignee set to Matthias Kuhn

It looks like this issue came after this commit:9ff6e1d

#3 - 2015-12-07 11:27 PM - Matthias Kuhn

- Status changed from Open to Feedback

2025-04-27 1/2



Do you run "make install"?

Can you run from the build directory?

#4 - 2015-12-08 12:10 AM - dr -

Matthias Kuhn wrote:

Do you run "make install"?

Can you run from the build directory?

I'm using QGIS from package (http://qgis.org/ubuntugis-nightly repository), not built it manually.

#5 - 2015-12-08 07:20 AM - Anonymous

- Status changed from Feedback to Closed

Fixed in changeset commit:"197ee6cb3a95fafc6f119d3a4cfad04e27de8468".
